Resolve Channel Health Problem
curl --request POST \
--url https://{projectID}.texterchat.com/server/api/v2/channels/health/problems/{problemId}/resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://{projectID}.texterchat.com/server/api/v2/channels/health/problems/{problemId}/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/channels/health/problems/{problemId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"OK"{
"error": "Problem already resolved before"
}{
"error": "<string>"
}Channels
Resolve Channel Health Problem
Mark a specific channel health problem as resolved in Texter. Once resolved, the problem no longer appears in active health problem listings.
POST
/
channels
/
health
/
problems
/
{problemId}
/
resolve
Resolve Channel Health Problem
Required token scopes:
Manage channelsהרשאות
API token generated in Texter: gear icon → Developers → API Tokens. When creating a token, assign it the scopes required by the endpoints you plan to call - each endpoint lists its required scopes.
פרמטרי נתיב
The unique identifier of the problem to resolve. Obtain it from the List Channel Health Problems endpoint
תגובה
Problem resolved. Body is the plain text OK
⌘I